EVM NFTs
NFT Ownerships
GET
https://api.pinax.network/v1/evm/nft/ownerships
Requires bearer token — sign in to inject your team’s key.
Supported networks (9)
Required parameters
| Name | Type | Description |
|---|---|---|
networkrequired query | Enum · 9 | The Graph Network ID for EVM networks https://thegraph.com/networks arbitrum-oneavalanchebasebschyperevmmainnetoptimismpolygonunichain e.g. mainnet |
addressrequired query | Address | Filter by address Single value or array of values* (separate multiple values with ,)*Plan restricted. e.g. 0xd8da6bf26964af9d7eed9e03e53415d37aa96045 |
Optional parameters
| Name | Type | Description |
|---|---|---|
contract query | Contract | Filter by contract address Single value or array of values* (separate multiple values with ,)*Plan restricted. e.g. 0x000386e3f7559d9b6a2f5c46b4ad1a9587d59dc3 |
token_id query | Token ID | Token ID Single value or array of values* (separate multiple values with ,)*Plan restricted. e.g. 12 |
token_standard query | Enum · 2 | Token standard ERC721ERC1155 e.g. ERC721 |
include_null_balances query | boolean | Include zero/null balances in results |
limit query | integer | Number of items* returned in a single request. *Plan restricted. |
page query | integer | Page number to fetch. Empty data array signifies end of results. |
Response
200 OK{ "data": [ { "address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "contract": "0x000386e3f7559d9b6a2f5c46b4ad1a9587d59dc3", "token_id": "12", "token_standard": "ERC721", "name": "Bored Ape Nike Club", "symbol": "BANC", "network": "mainnet" } ] }